import { AxiosRequestConfig } from 'axios';
import { GraphQLRequest } from 'graphql-request-generator/src/interfaces/graphql-request.interface';
import { IGraphClientConfig } from '../interfaces';
import { GraphQLRequestType } from '../types/GraphQLRequestType';
declare class GraphAPIClient {
    static collectRequestValues(requests: GraphQLRequest[]): object;
    private axios;
    private config;
    constructor(axiosRequestConfig?: AxiosRequestConfig, clientConfig?: IGraphClientConfig);
    post<T>(path: string, body: any, config?: AxiosRequestConfig): Promise<T>;
    collectRequestBody(operationType: GraphQLRequestType, requests: GraphQLRequest[]): {
        [p: string]: any;
    };
    query<T>(path: string | undefined, requests: GraphQLRequest[], config?: AxiosRequestConfig): Promise<T>;
    mutate<T>(path: string | undefined, requests: GraphQLRequest[], config?: AxiosRequestConfig): Promise<T>;
}
export default GraphAPIClient;
